#include <bits/stdc++.h>
#define endl "\n"

using namespace std;

using ll = long long;

void solve()
{
    ll n,nm,nv,i;
    cin >> n;
    nm=1;
    nv=2*n;
    for(i=0;i<n;i++)
    {
        if(i%2)
        {
            cout << nm << " ";
            nm++;
        }
        else
        {
            cout << nv << " ";
            nv--;
        }
    }
    cout << endl;
    for(i=0;i<n;i++)
    {
        if(i%2)
        {
            cout << nm << " ";
            nm++;
        }
        else
        {
            cout << nv << " ";
            nv--;
        }
    }
}



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t=1;
    //cin >> t;
    while(t--)
    {
        solve();
    }
}